# -*- coding: utf-8 -*-
#
# Copyright (C) 2013 Avencall
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

from xivo_dao.helpers.new_model import NewModel
from xivo_dao.converters.database_converter import DatabaseConverter

DB_TO_MODEL_MAPPING = {
    'user_id': 'user_id',
    'cti_profile_id': 'cti_profile_id',
    'enabled': 'enabled'
}


class UserCtiProfile(NewModel):
    MANDATORY = [
        'user_id',
        'cti_profile_id',
        'enabled'
    ]

    FIELDS = [
        'user_id',
        'cti_profile_id',
        'enabled'
    ]

    _RELATION = {}


class CtiProfileDbConverter(DatabaseConverter):

    def __init__(self):
        DatabaseConverter.__init__(self, DB_TO_MODEL_MAPPING, None, UserCtiProfile)
